package domain


type AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult struct {
    /*
        活动ID     */
    Data  *int64 `json:"data,omitempty" `

    /*
        操作是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult) SetData(v int64) *AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingBuygiftActivityCreateOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
